## DMS UIM Get CK Status request DMS UIM Get CK Status request |

## Functions

QmiMessageDmsUimGetCkStatusInput * | qmi_message_dms_uim_get_ck_status_input_new ()
QmiMessageDmsUimGetCkStatusInput * | qmi_message_dms_uim_get_ck_status_input_ref ()
void | qmi_message_dms_uim_get_ck_status_input_unref ()
gboolean | qmi_message_dms_uim_get_ck_status_input_get_facility ()
gboolean | qmi_message_dms_uim_get_ck_status_input_set_facility ()
QmiMessageDmsUimGetCkStatusOutput * | qmi_message_dms_uim_get_ck_status_output_ref ()
void | qmi_message_dms_uim_get_ck_status_output_unref ()
gboolean | qmi_message_dms_uim_get_ck_status_output_get_result ()
gboolean | qmi_message_dms_uim_get_ck_status_output_get_ck_status ()
gboolean | qmi_message_dms_uim_get_ck_status_output_get_operation_blocking_facility ()
void | qmi_client_dms_uim_get_ck_status ()
QmiMessageDmsUimGetCkStatusOutput * | qmi_client_dms_uim_get_ck_status_finish ()

## Types and Values

| QmiMessageDmsUimGetCkStatusInput
| QmiMessageDmsUimGetCkStatusOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsUimGetCkStatusInput
        ╰── QmiMessageDmsUimGetCkStatusOutput

## Description

## Functions

### qmi_message_dms_uim_get_ck_status_input_new ()

    QmiMessageDmsUimGetCkStatusInput *
    qmi_message_dms_uim_get_ck_status_input_new
                                   (void);

Allocates a new QmiMessageDmsUimGetCkStatusInput.

#### Returns

the newly created QmiMessageDmsUimGetCkStatusInput. The returned value should be freed with `qmi_message_dms_uim_get_ck_status_input_unref()`.

Since: 1.0

### qmi_message_dms_uim_get_ck_status_input_ref ()

    QmiMessageDmsUimGetCkStatusInput *
    qmi_message_dms_uim_get_ck_status_input_ref
                                   (QmiMessageDmsUimGetCkStatusInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimGetCkStatusInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_get_ck_status_input_unref ()

    void
    qmi_message_dms_uim_get_ck_status_input_unref
                                   (QmiMessageDmsUimGetCkStatusInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimGetCkStatusInput. |

Since: 1.0

### qmi_message_dms_uim_get_ck_status_input_get_facility ()

    gboolean
    qmi_message_dms_uim_get_ck_status_input_get_facility
                                   (QmiMessageDmsUimGetCkStatusInput *self,
                                    QmiDmsUimFacility *value_facility,
                                    GError **error);

Get the 'Facility' field from `self` .

#### Parameters

self | a QmiMessageDmsUimGetCkStatusInput. |
value_facility | a placeholder for the output QmiDmsUimFacility, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_get_ck_status_input_set_facility ()

    gboolean
    qmi_message_dms_uim_get_ck_status_input_set_facility
                                   (QmiMessageDmsUimGetCkStatusInput *self,
                                    QmiDmsUimFacility value_facility,
                                    GError **error);

Set the 'Facility' field in the message.

#### Parameters

self | a QmiMessageDmsUimGetCkStatusInput. |
value_facility | a QmiDmsUimFacility. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_get_ck_status_output_ref ()

    QmiMessageDmsUimGetCkStatusOutput *
    qmi_message_dms_uim_get_ck_status_output_ref
                                   (QmiMessageDmsUimGetCkStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimGetCkStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_get_ck_status_output_unref ()

    void
    qmi_message_dms_uim_get_ck_status_output_unref
                                   (QmiMessageDmsUimGetCkStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimGetCkStatusOutput. |

Since: 1.0

### qmi_message_dms_uim_get_ck_status_output_get_result ()

    gboolean
    qmi_message_dms_uim_get_ck_status_output_get_result
                                   (QmiMessageDmsUimGetCkStatusOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsUimGetCkStatusOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_dms_uim_get_ck_status_output_get_ck_status ()

    gboolean
    qmi_message_dms_uim_get_ck_status_output_get_ck_status
                                   (QmiMessageDmsUimGetCkStatusOutput *self,
                                    QmiDmsUimFacilityState *value_ck_status_facility_state,
                                    guint8 *value_ck_status_verify_retries_left,
                                    guint8 *value_ck_status_unblock_retries_left,
                                    GError **error);

Get the 'CK Status' field from `self` .

#### Parameters

self | a QmiMessageDmsUimGetCkStatusOutput. |
value_ck_status_facility_state | a placeholder for the output QmiDmsUimFacilityState, or `NULL` if not required. | [out][optional]
value_ck_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_ck_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_get_ck_status_output_get_operation_blocking_facility ()

    gboolean
    qmi_message_dms_uim_get_ck_status_output_get_operation_blocking_facility
                                   (QmiMessageDmsUimGetCkStatusOutput *self,
                                    gboolean *value_operation_blocking_facility,
                                    GError **error);

Get the 'Operation Blocking Facility' field from `self` .

#### Parameters

self | a QmiMessageDmsUimGetCkStatusOutput. |
value_operation_blocking_facility | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_dms_uim_get_ck_status ()

    void
    qmi_client_dms_uim_get_ck_status (QmiClientDms *self,
                                      QmiMessageDmsUimGetCkStatusInput *input,
                                      guint timeout,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously sends a UIM Get CK Status request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_uim_get_ck_status_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsUimGetCkStatusInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_uim_get_ck_status_finish ()

    QmiMessageDmsUimGetCkStatusOutput *
    qmi_client_dms_uim_get_ck_status_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_uim_get_ck_status()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_uim_get_ck_status()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsUimGetCkStatusOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_uim_get_ck_status_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsUimGetCkStatusInput

    typedef struct _QmiMessageDmsUimGetCkStatusInput QmiMessageDmsUimGetCkStatusInput;

The QmiMessageDmsUimGetCkStatusInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsUimGetCkStatusOutput

    typedef struct _QmiMessageDmsUimGetCkStatusOutput QmiMessageDmsUimGetCkStatusOutput;

The QmiMessageDmsUimGetCkStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0